Subject: Re: bug#41988: 28.0.50; Edebug unconditionally instruments definitions with &define specs

From: Philipp <[email-masked]>
Date: Thu, 18 Mar 2021 12:19:26 +0100

> Am 14.03.2021 um 18:38 schrieb Stefan Monnier <[email-masked]>:
> 
>>>> Hmm, maybe I spoke too soon. The original issue with cl-flet is indeed
>>>> fixed, but I think one likely explanation for that is that it now only
>>>> has a single &define form. What about other macros that still have
>>>> multiple &define forms in an &or form? Are they fixed as well?
>>> No, I don't think they'd be fixed either.
>> OK, then maybe it would make sense to reopen this bug.
> 
> It might be easier to declare this as a known limitation.
> 
>> Do you know of a similar example that still reproduces the bug?
> 
> No.  And I'd hope the problem can be avoided in all cases.
> I guess we could try and make it more "official" by imposing some kind of "cut"
> such that after passing a `&define` we can't backtrack.
> 

From looking at the code, would it be possible to achieve this by setting edebug-gate to non-nil in the right places?
If so, then this seems to be only a matter of finding the right places ;-)